@import "./partials/colors";
@import './partials/reset';
@import './partials/demensions';
@import './partials/mixins';
@import './pages/category';
@import './pages/nav';
@import './pages/basket';
@import './pages/productDetaill';
@import './pages/productTyle';
@import './pages/byfelice';
@import './pages/search';
@import "./pages/checkout";
@import "./pages/forms";
@import url(https://fonts.googleapis.com/css2?family=Montserrat&display=swap);
$myFond : Montserrat;
//---------------------- basic body centring -------------------
body{
    .extra-space{
        justify-content: flex-start !important;
        height: 1700px !important;
    }
    min-height: 100vh;
    position: relative;
    .page-loader{
        position: absolute;
        width: 100%;
        height: 100%;
        background-color: $loadingColor;
        z-index: 100;
        @include flexBox(column, center,center);
        
        .page-loader-content{

        }
    }
    .cookies{
        position: absolute;
        width: 100%;
        height: 100%;
        background-color: $loadingColor;
        z-index: 100;
        @include flexBox(column, flex-start,center);
        text-align: center;
        img{
            padding: $normalPadding;
        }
   
        .cookies-content{
            button{
                font-size: 1.2rem;
                border: solid $black 1px;
                padding: 8px;
                margin: $smallPadding;
                border-radius: 5px;
                background-color: $activeColor;
                color: $black;

            }
            h1{
                font-size: 2.5rem;
                padding: $normalPadding $bigPadding;
            }
            p{
                padding: $normalPadding $bigPadding;
                line-height: 1.5rem;
            }
            border-radius: 50px;
            margin-top: 50px;
            background-color: $white;
            width: 80%;
            // height: 500px;

        }
    }
    .loader{
        min-width: 100vw;
        min-height: 100vh;
        background-color: $white;
    }

}
.searchIcon{
    z-index: 90 !important;
    position: fixed;
    top: 50vh;
    right: 0;

    background-color: $black;
    &:hover{
        cursor: pointer;
    }
    p{
        padding:$normalPadding;
        color: $white;
        writing-mode: vertical-rl;
        text-orientation: upright;
    }


}
.categorie-nav{
    width: 100% !important;
    position: sticky;
    top:0;
    z-index: 70;
    background-color: $white;

    @include flexBox(row,flex-start);
    width: 85vw;
    background-color: $white;
    max-width: $maxWidthPage;
    ul{
        padding-left: 15px;
    }
    .goback{
        a{
            
            font-size: 1.5rem;
            color: $black;
        }

    }
    .active{
                   
        a{
            text-shadow: 8px 8px 2px $gray;
            font-size: 1.2rem;
            color: $black;
            font-weight: bold;
        }
   
    }
    li{
        &:hover{
            cursor: pointer;
        }
       
        // box-shadow: 4px 2px $lightBlack;
        margin:  0 10px 10px 0 ;
        padding: $smallPadding ;
        display:inline-block;
        // border: 1px solid $black;
        border-radius: 4px;
        text-align: center;
        a{
            font-size: 1rem;
            color: $black;
            text-decoration: none;
        }
    }

}
.page-container{
    max-width: 100%;
    @include flexBox();
    background-color: $white;
}
header{

    @media only screen and (min-width: $smallScreen) {
        width: 100%;
        display: flex;
        flex-direction: column;
        background-color: $black;
        justify-content: center;
        align-items: center;
    } 

}
.page-title{
    @media only screen and (max-width: $smallScreen) {
        padding: $normalPadding 0;
        text-align: center;
        max-width: 100%;
        width: 100%;
        position: relative;
        .upper-line{
            width:60vw;
            position: absolute;
            top: 10px;
            left:15%;
            height: 1.5px;
            background-color: $black;
    
        }
        .lower-line{
            width:60vw;
            position: absolute;
            top: 52px;
            left:25%;
            height: 1.5px;
            background-color: $black;
        }
        h2{
         
            font-size: 2rem;
        }
          
    } 
    @media only screen and (min-width: $smallScreen) {
        padding: $normalPadding;
        @include flexBox();
        position: relative;
        .upper-line{
            display:none;
    
        }
        .lower-line{
            display:none;
        }
        h2{
            font-size:$fontBig;
            color: $black;
        }
          
    } 
}

//----------------------  Header en navigatie -------------------
    

    .main-header-contrainer{  
    position: relative;     
    max-width: $maxWidthPage;
    width: 95vw;
    height: 60px;
    display: flex;
    justify-content: space-between ;
    align-items: flex-end;

    @media only screen and (max-width: $smallScreen) {
        background-color: $white;
        height:110px;
        width: 100%;
        justify-content: space-between;
        align-items: center;   
          
    }    
    .desktop-icons{
        position: relative;
        .header-basket-items{
            color: $white;
            height: 25px;
            width: 25px;
            font-weight: bold;
            text-align: center;
            border: solid 2px $white;
            border-radius: 100%;
            font-size: 1.5rem;
            position: absolute;
            top:-35%;
            left:43%;
        }
        color: $white;
        padding-bottom: 15px;

        a{
            margin-left: 10px;
            padding-right: 15px;
            color: $white;
            text-decoration: none;
            font-size: 1.8rem;
            
        }
        @media only screen and (max-width: $smallScreen) {
            display:none;
        }        
    }  


    .main-header-contrainer{  
    position: relative;     
    max-width: $maxWidthPage;
    width: 95vw;
    height: 50px;
    display: flex;
    justify-content: space-between ;
    align-items: flex-end;

    @media only screen and (max-width: $smallScreen) {
        background-color: $white;
        height:110px;
        width: 100%;
        justify-content: space-between;
        align-items: center;   
          
    }    
    .desktop-icons{
        position: relative;
        .header-basket-items{
            color: $red;
            height: 25px;
            width: 25px;
            font-weight: bold;
            text-align: center;
            background-color: $whiteTransparent;
            border:2px solid $black;
            border-radius: 100%;
            font-size: 1.8rem;
            position: absolute;
            top:12px;
            left:90px;
        }
        color: $white;
        padding-bottom: 15px;

        a{
            margin-left: 10px;

            color: $white;
            text-decoration: none;
            font-size: 1.8rem;
            
        }
        @media only screen and (max-width: $smallScreen) {
            display:none;
        }        
    }  
    }

    .logo-img-wrapper{
        @media only screen and (min-width: $smallScreen) {
            display:none;
        }  

        
        display: flex;
        justify-content: center;
        position: relative;

        .header-banner {
            font-family: $myFond;
            font-size: 1rem;
            position: absolute;
            top:68px;
            left: 42px;
        }

    }

    .desktop-logo{
        @media only screen and (max-width: $smallScreen) {
            display:none;
        } 
        @media only screen and (max-width: 900px) {
            left:10px;
            top: -33px;   
            
        }

        z-index: 100;
        a{
            color: $white;
            font-size: 3.5rem;
            text-decoration: none;
            font-weight:lighter;
            text-align: center;
        }

  
        padding-bottom:30px ;

        position: absolute;
        left:42%;
        span{
            font-weight: bolder;
            font-size: 1.5rem;
        }
    }

    .desktop-navigatie{
        
        @media only screen and(max-width: $smallScreen){
            
        }
    }

    .mobile-hamburger{
        @media only screen and (min-width: $smallScreen) {
            display: none;      
        }
        position: relative;
        padding-left: $normalPadding;


    }
    .mobile-header-icons{
        @include flexBox(row);
        position: relative;
        .header-basket-items{
            color: $black;
            height: 25px;
            width: 25px;
            font-weight: bold;
            text-align: center;
            border:2px solid $black;
            border-radius: 100%;
            font-size: 1.5rem;
            position: absolute;
            top:-15px;
            left:40%;
        }
        @media only screen and (min-width: $smallScreen) {
            display: none;      
        }
        padding-right: $normalPadding;
        a{
            padding-left: 7px;
            color: $black;
            font-size: 2rem;    
        }   
    }
 
 
    }
    /*--- constact header header--- */

.mobile-header-contact{
    z-index: 1;
    // aanpassen aan groot scherm
    @media only screen and (min-width: $smallScreen) {

        width: 90vw;
       max-width: $maxWidthPage;
       justify-content: flex-end;
       font-size: .7rem;
       .moblie-header-mail{
        padding-left: $bigPadding;
        padding-top: 3px;
    }

    }
    display: flex;
    justify-content: space-between;  
    // over foto zetten 

    // laten plakken tegen bovenkant
    top: 0;
    background-color: $black;
    color: $white;
    height: 28px;
    width: 100%;
    padding-top: $normalPadding;
    // mail en telefoon 
    .mobile-header-phone{
        padding-left: $normalPadding;

        & a{
            color: $white;
            text-decoration: none;
        }       
    }
    .moblie-header-mail{
        padding-right: $normalPadding;
    }

}




    /*--- destop header--- */










body{
    font-family: $myFond;
}




/*----------------- Footer styling------------------ */
.main-footer{
    height:130px;
    width: 100%;
    background-color: $black;
    display:flex;
    flex-direction: column;
    justify-content: space-around;
    align-items: center;
    @media only screen and (max-width: $smallScreen) {
        height: 80px;
    
    }
    .footer-disclamer{
        padding-bottom: $normalPadding;
        color: $white;
        min-width: 100%;
        display:flex;
        justify-content: center;
        
        @media only screen and (max-width: $smallScreen) {
            width: 100%; 
        }

        & ul{
            width: 100%;
            max-width: $maxWidthPage;
            display: flex;
            justify-content: space-around;
            flex-wrap: wrap;

            li a{
                color: $white;
                text-decoration: none;
                display: block;
            }
        }
    }

    .footer-social{
        padding-top: $normalPadding;
        width: 100%;
        display: flex;
        justify-content: center;
        align-items: center;
        & ul{
            max-width: $maxWidthPage;

            display: flex;
            justify-content: center;
            width: 1000px;
           
            &  li {
                display: inline;
                margin-left: auto;
                margin-right: auto;
            }

    }

    }
}

